POST /fileobject
/fileobject
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
UploadParams object creation
Show optional properties
{
"name": "string"
}
{
"allow_update": false,
"collate": false,
"compressed": false,
"description": "string",
"expires_at": "string",
"gslb_geodb_format": "string",
"is_federated": false,
"name": "string",
"part": "string",
"path": "string",
"read_only": false,
"restrict_download": false,
"size": 0,
"type": "string",
"update_interval": 0,
"url": "string"
}
Allow updating an existing FileObject with the same name. Currently enforced for OPEN_API_SPEC type only without this flag, a POST whose name matches an existing OAS FileObject returns HTTP 409. . Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Signal to merge all previously uploaded parts into the final file. Set to true on the last request of a chunked upload sequence. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Whether the file is gzip-compressed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
A short user-friendly description related to the uploaded file. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Timestamp indicating when the file can be automatically deleted. Used for garbage collection by CRL and IP Reputation file types. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
This field indicates the file format(Avi/Maxmind and v4/v6/v4-v6) of GSLB geodb file type. . Enum options - GSLB_GEODB_FILE_FORMAT_AVI, GSLB_GEODB_FILE_FORMAT_MAXMIND_CITY, GSLB_GEODB_FILE_FORMAT_MAXMIND_CITY_V6, GSLB_GEODB_FILE_FORMAT_MAXMIND_CITY_V4_AND_V6, GSLB_GEODB_FILE_FORMAT_AVI_V6, GSLB_GEODB_FILE_FORMAT_AVI_V4_AND_V6. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
This field determines if an object is replicated across the GSLB federation (true) or visible within the controller-cluster and its service engines (false). Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Name of the file. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Part identifier for chunked or multipart uploads. When set, indicates a partial upload in progress. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Source Path of the File in the local disk. Only applicable in CLI. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Enforce read-only on the file. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Restrict download of the file. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Size of the file in bytes. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Type of the file. Enum options - OTHER_FILE_TYPES, IP_REPUTATION, GEO_DB, TECH_SUPPORT, HSMPACKAGES, IPAMDNSSCRIPTS, CONTROLLER_IMAGE, CRL_DATA, IP_REPUTATION_IPV6, GSLB_GEO_DB, CSRF_JS, KNOWN_HOSTS, OPEN_API_SPEC. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Interval in minutes to check for update. If not specified, interval will be 1 day. This field is applicable in the CRL context. . Allowed values are 30-525600. Field introduced in 30.2.1. Unit is MIN. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
URL to download the CRL file. This field is applicable in the CRL context. . Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
OK
{
"_last_modified": "string",
"api_spec_detail": {
"path_refs": [
"string"
],
"schema_refs": [
"string"
],
"spec_info": {
"component_schema_count": 0,
"description": "string",
"inline_schema_count": 0,
"oas_version": "string",
"path_count": 0,
"servers": [
{
"description": "string",
"url": "string"
}
],
"title": "string",
"version": "string"
}
},
"checksum": "string",
"child_refs": [
"string"
],
"completed_events": 0,
"compressed": false,
"created": "string",
"crl_info": {
"common_name": "string",
"distinguished_name": "string",
"etag": "string",
"fingerprint": "string",
"last_refreshed": "string",
"last_update": "string",
"next_update": "string",
"server_url": "string",
"text": "string",
"update_interval": 0
},
"description": "string",
"duration": 0,
"end_time": "string",
"events": [
{
"task_event": [
{
"duration": 0,
"end_time": "string",
"message": "string",
"start_time": "string",
"status": "string"
}
],
"task_name": "string"
}
],
"expires_at": "string",
"gslb_geodb_format": "string",
"has_parent": false,
"history": [
{
"spec_info": "string",
"state": {
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"reason": "string",
"state": "string"
},
"task_events": [
{
"nodes_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"sub_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"task_name": "string"
}
],
"version": "string"
}
],
"is_federated": false,
"name": "string",
"path": "string",
"progress": 0,
"read_only": false,
"restrict_download": false,
"size": 0,
"start_time": "string",
"state": {
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"reason": "string",
"state": "string"
},
"task_events": [
{
"nodes_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"sub_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"task_name": "string"
}
],
"tenant_ref": "string",
"total_events": 0,
"type": "string",
"url": "string",
"uuid": "string",
"version": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
api_spec_detail
SHA1 checksum of the file. . Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
AVI internal formatted/converted files. It is a reference to an object of type FileObject. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of processing events that have completed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
This field indicates whether the file is gzip-compressed. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Timestamp of creation for the file. . Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
crl_info
Description of the file. . Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Time taken to complete the operation in seconds. Field introduced in 32.1.4. Unit is SEC. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
End time of the file object processing operation. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
List of all FileObject events. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Timestamp when the CRL contents are no longer valid and hence CRL-file will be no longer needed and can be removed by the system. If this is set, a garbage collector process shall remove the CRL-file after this time. This field is applicable in the CRL context. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
This field indicates the file format(Avi/Maxmind and v4/v6/v4-v6) of GSLB geodb file type. . Enum options - GSLB_GEODB_FILE_FORMAT_AVI, GSLB_GEODB_FILE_FORMAT_MAXMIND_CITY, GSLB_GEODB_FILE_FORMAT_MAXMIND_CITY_V6, GSLB_GEODB_FILE_FORMAT_MAXMIND_CITY_V4_AND_V6, GSLB_GEODB_FILE_FORMAT_AVI_V6, GSLB_GEODB_FILE_FORMAT_AVI_V4_AND_V6. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
This field indicates if the the given FileObjecthas a parent FileObject or not. . Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
File Object processing events history for the version specified. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
This field describes the object's replication scope. If the field is set to false, then the object is visible within the controller-cluster and its associated service-engines. If the field is set to true, then the object is replicated across the Gslb federation. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Name of the file object. . Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Path to the file. . Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Percentage of completed events. Allowed values are 0-100. Field introduced in 32.1.4. Unit is PERCENT. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Enforce Read-Only on the file. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Flag to allow/restrict download of the file. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Size of the file. . Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Start time of the file object processing operation. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
state
File Object processing events for the version specified. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Tenant that this object belongs to. It is a reference to an object of type Tenant. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of processing events for this file object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Type of the file. . Enum options - OTHER_FILE_TYPES, IP_REPUTATION, GEO_DB, TECH_SUPPORT, HSMPACKAGES, IPAMDNSSCRIPTS, CONTROLLER_IMAGE, CRL_DATA, IP_REPUTATION_IPV6, GSLB_GEO_DB, CSRF_JS, KNOWN_HOSTS, OPEN_API_SPEC. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
url
UUID of the file. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Version of the file. . Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/api/fileobject